### Function

# ECal util_construct_instance

#### Declaration [src]

    ICalComponent*
    e_cal_util_construct_instance (
      ICalComponent* icalcomp,
      const ICalTime* rid
    )

#### Description [src]

This checks that `rid` indicates a valid recurrence of `icalcomp`, and if so, generates a copy of `icalcomp` containing a RECURRENCE-ID of `rid`.

Free the returned non-NULL component with g_object_unref(), when no longer needed.

#### Parameters

`icalcomp`

  Type: `None`

  A recurring `ICalComponent`.

  The data is owned by the caller of the function.

`rid`

  Type: `None`

  The RECURRENCE-ID to construct a component for.

  The data is owned by the caller of the function.

#### Return value

Type: `None`

The instance as a new `ICalComponent`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.